<div class="text-center" style="background: #343a40;color: white;">
    <h4>Selección de R.F.C.
        <small style="color: greenyellow;"> #Cheque {{ cheque.iCheque }}</small>
    </h4>
</div>
<div class="p-1 text-dark" *ngIf="cheque">
    <form [formGroup]="facturaForm">
        <div class="row d-flex justify-content-start form-row">
            <div class="col-sm-4 col-md-3 col-lg-3 col-xl-3">
                <label for="rfc">{{ etiquetaRfc }}</label>
                <div class="input-group">
                    <!-- <input type="text" name="rfc" class="form-control" 
                        [(ngModel)]="facturaForm.value.rfc" formControlName="rfc"> -->
                    <kendo-maskedtextbox
                            name="rfc"
                            [(ngModel)]="facturaForm.value.rfc"
                            [mask]="maskRfc"
                            [maskValidation]="false"
                            formControlName="rfc">
                    </kendo-maskedtextbox>
                    <div class="input-group-prepend">
                        <div class="input-group-text" (click)="buscarRfc()"><i class="fa fa-search"></i></div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4 col-lg-4 col-xl-3">
                <label for="Sucursal">Sucursal</label>
                <input type="text" name="Sucursal" class="form-control"
                       [(ngModel)]="facturaForm.value.Sucursal" formControlName="Sucursal">
            </div>
            <div class="col-sm-12 col-md-5 col-lg-5 col-xl-6">
                <label for="rrsocial">Razón Social</label>
                <input type="text" name="rrsocial" class="form-control"
                       [(ngModel)]="facturaForm.value.rrsocial" formControlName="rrsocial">
            </div>
            <div class="col-sm-6 col-md-4 col-lg-3 col-xl-3">
                <label for="rdireccion1">Calle</label>
                <input type="text" name="rdireccion1" class="form-control"
                       [(ngModel)]="facturaForm.value.rdireccion1" formControlName="rdireccion1">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-1 col-xl-1">
                <label for="exterior">Exterior</label>
                <input type="text" name="exterior" class="form-control"
                       [(ngModel)]="facturaForm.value.exterior" formControlName="exterior">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-1 col-xl-1">
                <label for="interior">Interior</label>
                <input type="text" name="interior" class="form-control"
                       [(ngModel)]="facturaForm.value.interior" formControlName="interior">
            </div>
            <div class="col-sm-6 col-md-4 col-lg-4 col-xl-3">
                <label for="rdireccion2">Colonia</label>
                <input type="text" name="rdireccion2" class="form-control"
                       [(ngModel)]="facturaForm.value.rdireccion2" formControlName="rdireccion2">
            </div>
            <div class="col-sm-6 col-md-4 col-lg-3 col-xl-2">
                <label for="rciudad">Ciudad</label>
                <input type="text" name="rciudad" class="form-control"
                       [(ngModel)]="facturaForm.value.rciudad" formControlName="rciudad">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                <label for="estado">Estado</label>
                <div class="input-group">
                    <input type="text" name="estado" class="form-control"
                           [(ngModel)]="facturaForm.value.estado" formControlName="estado">
                    <div class="input-group-prepend">
                        <div class="input-group-text" (click)="buscarEstados()"><i class="fa fa-search"></i></div>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-1">
                <label for="rcp">C.P.</label>
                <input type="text" name="rcp" class="form-control"
                       [(ngModel)]="facturaForm.value.rcp" formControlName="rcp">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                <label for="rtelefono1">Teléfono 1</label>
                <input type="text" name="rtelefono1" class="form-control"
                       [(ngModel)]="facturaForm.value.rtelefono1" formControlName="rtelefono1">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                <label for="rtelefono2">Teléfono 2</label>
                <input type="text" name="rtelefono2" class="form-control"
                       [(ngModel)]="facturaForm.value.rtelefono2" formControlName="rtelefono2">
            </div>
            <div class="col-sm-6 col-md-6 col-lg-4 col-xl-3">
                <label for="remail">E-Mail</label>
                <input type="text" name="remail" class="form-control"
                       [(ngModel)]="facturaForm.value.remail" formControlName="remail">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                <label for="rfax">Fax</label>
                <input type="text" name="rfax" class="form-control"
                       [(ngModel)]="facturaForm.value.rfax" formControlName="rfax">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                <label for="rcontacto">Contacto</label>
                <input type="text" name="rcontacto" class="form-control"
                       [(ngModel)]="facturaForm.value.rcontacto" formControlName="rcontacto">
            </div>
            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                <label for="rpuesto">Puesto</label>
                <input type="text" name="rpuesto" class="form-control"
                       [(ngModel)]="facturaForm.value.rpuesto" formControlName="rpuesto">
            </div>
            <div class="col-sm-6 col-md-6 col-lg-4 col-xl-8">
                <label for="rnotas">Notas</label>
                <input type="text" name="rnotas" class="form-control" [(ngModel)]="facturaForm.value.rnotas"
                       formControlName="rnotas">
            </div>
            <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2">
                <label for="Usuario">Usuario</label>
                <input type="text" name="Usuario" class="form-control-plaintext"
                       [(ngModel)]="facturaForm.value.Usuario" formControlName="Usuario">
            </div>
        </div>
    </form>
    <hr>
    <div class="row d-flex justify-content-start form-row" *ngIf="formGeneral">
        <div class="col-sm-6 col-md-6 col-lg-5 col-xl-3">
            <label for="usoCfd">Uso CFD</label>
            <kendo-combobox
                    [data]="dsTiposCfd"
                    [textField]="'cDesc'"
                    [valueField]="'cClave'"
                    [(ngModel)]="formGeneral.usoCfd"
                    [valuePrimitive]="true"
                    name="usoCfd"
                    class="w-100"
                    required>
            </kendo-combobox>
        </div>
        <div class="col-sm-6 col-md-6 col-lg-5 col-xl-3">
            <label for="consecutivo">Consecutivo</label>
            <kendo-combobox
                    [data]="dsConsecutivos"
                    [textField]="'cDesc'"
                    [valueField]="'cCon'"
                    [valuePrimitive]="false"
                    [(ngModel)]="formGeneral.consecutivo"
                    (valueChange)="consecutivoSelected($event)"
                    name="consecutivo"
                    class="w-100"
                    required>
            </kendo-combobox>
        </div>
        <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label for="factura"># Factura</label>
            <input type="text" name="factura" class="form-control" required [(ngModel)]="formGeneral.factura">
        </div>
        <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label for="consumo" class="w-100">Concepto Consumo</label>
            <kendo-switch
                    name="consumo"
                    [(ngModel)]="formGeneral.consumo"
                    [onLabel]="'Si'"
                    [offLabel]="'No'">
            </kendo-switch>
        </div>
        <div class="col-sm-6 col-md-6 col-lg-5 col-xl-3">
            <label for="emailEnv">E-Mail</label>
            <input type="text" name="emailEnv" class="form-control" [(ngModel)]="formGeneral.emailEnv">
        </div>
        <div class="col-sm-3 col-md-4 col-lg-5 col-xl-4">
            <div class="custom-control custom-checkbox mt-4">
                <input type="checkbox" class="custom-control-input" id="customCheck1" [(ngModel)]="formGeneral.enviar"
                       (click)="enviarEmail()">
                <label class="custom-control-label" for="customCheck1">Enviar email al facturar</label>
            </div>
        </div>
    </div>
    <hr>
    <div class="row d-flex justify-content-center my-3">
        <div class="form-group">
            <button type="buton" class="btn btn-success py-2 px-5" (click)="onSubmit()"
                    [disabled]="facturaForm.status === 'INVALID'">Aceptar
            </button>
        </div>
        <div class="form-group ml-1" style="margin-bottom: 1px">
            <button type="button" class="btn btn-secondary btn-block py-2 px-5" (click)="cerrarFactura()">Cerrar
            </button>
        </div>
    </div>
    <div class="animated fadeIn" *ngIf="flagRfc">
        <kendo-dialog [title]="'Buscar Razón Social'" (close)="flagRfc = false;">
            <app-help-rfc (rfc)="rfcValue($event)"></app-help-rfc>

            <div class="row mt-3 d-flex justify-content-center">
                <button type="button" class="btn btn-primary px-4 py-3" (click)="flagRfc = false;">Cerrar</button>
            </div>
        </kendo-dialog>
    </div>
    <div class="animated fadeIn" *ngIf="flagState">
        <kendo-window [title]="'Buscar Estado'" (close)="flagState = false;">
            <app-help-estado (estado)="estadoValue($event)"></app-help-estado>
            <div class="d-flex justify-content-end">
                <button type="button" class="btn btn-primary px-4 mt-2">Cerrar</button>
            </div>
        </kendo-window>
    </div>
</div>
